@font-face {
    font-family: 'Montserrat-regular';
    src: url('../fonts/Montserrat-Regular.ttf');
    font-weight: 400
}

@font-face {
    font-family: 'Montserrat-medium';
    src: url('../fonts/Montserrat-Medium.ttf');
    font-weight: 500
}

@font-face {
    font-family: 'Montserrat-semibold';
    src: url('../fonts/Montserrat-SemiBold.ttf');
    font-weight: 600
}

@font-face {
    font-family: 'Montserrat-bold';
    src: url('../fonts/Montserrat-Bold.ttf');
    font-weight: 700
}

.prizePopupWrap {
    position: fixed;
    top: 0;
    left: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    height: 100%;
    max-width: 1651px;
    max-height: 100vh;
    overflow-y: auto;
    padding: 50px;
}

.prizePopupWrap * {
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

.prizePopup {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    height: 815px;
    font-family: 'Montserrat-regular', sans-serif;
    overflow: hidden;
    background-color: #F5F4FF;
    border-radius: 400px 15px 15px 400px;
    box-shadow: 7px 16px 3px 0px #00000040;
}

.prizePopup * {
    font-family: inherit
}

.prizeTitle {
    font-family: 'Montserrat-bold', sans-serif;
    color: #3A3D41;
    font-weight: 700;
    font-size: 30px;
    line-height: 1.2;
    text-align: center;
    border-radius: 0 0 11px 11px;
    padding: 36px 30px 27px;
}

.prizeSubtitle {
    max-width: 360px;
    font-family: 'Montserrat-medium', sans-serif;
    font-size: 19px;
    line-height: 1.2;
    color: #313131;
    margin: 0 auto 39px;

}

.prizePopup form {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.prizePopup input {
    width: 100%;
    font-family: 'Montserrat-regular', sans-serif;
    font-size: 19px;
    line-height: 1.2;
    color: #222;
    background: #fff;
    border: 2px solid #ACACB1;
    border-radius: 9px;
    padding: 24px 33px;
    outline: none;
    margin-bottom: 30px;
    -webkit-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
}

.prizePopup input:focus {
    background: #fff;
    border: 2px solid #555;
}

.prizePopup .form_text {
    font-family: 'Montserrat-regular', sans-serif;
    font-size: 17px;
    line-height: 1.2;
    text-align: left;
    margin-bottom: 38px;
}

.prizePopup button {
    min-height: 72px;
    width: 230px;
    font-family: 'Montserrat-semibold', sans-serif;
    font-size: 17px;
    line-height: 1.2;
    background-color: #5542D6;
    border-radius: 15px;
    color: #fff;
    outline: none;
    border: none;
    text-align: center;
    padding: 17px 35px 16px;
    cursor: pointer;
    margin: 30px auto 0;
    transition: box-shadow 0.2s linear;
}

.prizePopup button:hover {
    box-shadow: 3px 4px 6px 0px #00000040;
}

.prizePopup .content {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 50px;
    width: 560px;
    background-color: #F5F4FF;
    border-radius: 15px;
    overflow: hidden;
    z-index: 2;
}

.prizePopup .content .inner {
    max-width: 494px;
    min-width: 340px;
    margin: 38px auto 60px;
    text-align: center;
    padding: 0 30px;
}

.prizePopup .content p,
.prizePopup .congratulatons p {
    font-size: 14px;
    color: #31313199;
    margin-top: 20px;
}

.prizePopup .congratulatons {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 50px;
    display: none;
    text-align: center;
    z-index: 2;
}

.prizePopup .congratulatonsTitle {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    font-family: 'Montserrat-bold', sans-serif;
    font-weight: 700;
    font-size: 30px;
    color: #fff;
    line-height: 1;
    background-color: #5542D6;
    border-radius: 28px;
    -webkit-filter: drop-shadow(0px 6px 14px rgba(0, 0, 0, 0.25));
            filter: drop-shadow(0px 6px 14px rgba(0, 0, 0, 0.25));
    padding: 31px 43px 33px;
    margin: 0 auto 17px;
}

.prizePopup .congratulatonsSubtitle {
    font-family: 'Montserrat-bold', sans-serif;
    color: #fff;
    font-size: 24px;
    line-height: 1.2;
    margin-bottom: 48px;
}

.prizePopup .winned_prize {
    position: relative;
    display: flex;
    flex-direction: column;
    font-family: 'Montserrat-medium', sans-serif;
    font-size: 26px;
    line-height: 1;
    color: #fff;
}

.prizePopup .winned_prize::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -35%);
    width: 346px;
    height: 346px;
    border-radius: 50%;
    background: #5542D6D1;
    opacity: 0.8;
    box-shadow: 0 0 50px 45px #5542D6D1;
    z-index: -1;
}

.prizePopup .winned_prize b {
    display: inline-block;
    font-size: 30px;
    margin-bottom: 7px;
}

.prizePopup .congratulatons .prizeSubtitle {
    position: relative;
    max-width: 310px;
    color: #fff;
    margin: 38px auto 59px;
    z-index: -2;
}

.prizePopup .congratulatons p {
    max-width: 330px;
    font-family: 'Montserrat-regular', sans-serif;
    font-size: 15px;
    line-height: 1.2;
    color: #fff;
    margin-left: auto;
    margin-right: auto;
}

.drumWrapper {
    position: relative;
    min-width: 815px;
    min-height: 815px;
    width: 815px;
    height: 815px;
    background-color: #fff;
    border-radius: 50%;
    -webkit-box-shadow: 16.0149px 22.4209px 6.40597px rgba(0, 0, 0, 0.25);
            box-shadow: 16.0149px 22.4209px 6.40597px rgba(0, 0, 0, 0.25);
    z-index: 2;
    padding: 24px;
}

.drumWrapper.active::before {
    content: '';
    position: absolute;
    left: 70%;
    top: 46%;
    width: 100%;
    height: 150%;
    transform: translateY(-50%) rotate(6deg);
    /* clip-path: polygon(100% 17%, 0 53%, 100% 84%); */
    clip-path: polygon(1% 59%, 1% 51%, 100% 15%, 100% 84%);
    background: linear-gradient(88.96deg, rgba(76, 87, 216, 0.77) 4.57%, rgba(80, 108, 221, 0) 93.01%);
}

.drumCenter {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 136px;
    height: 136px;
    border-radius: 50%;
    background-color: #F5F4FF;
    box-shadow: 0px 6px 6px 0px #00000040;
    transform: translate(-50%, -50%);
    transition: background-color 0.3s linear;
    z-index: 1;
}

.drumCenter img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

.drumWrapper.active .drumCenter {
    background-color: #58E1EF;
}

.drumWrapper .drum .element {
    position: absolute;
    width: 284px;
    height: 317px;
    transition: all 0.3s linear;
    font-family: 'Montserrat-medium';
    font-size: 17px;
    color: #4C57D8;
    text-align: center;
}

.drumWrapper .drum .element:nth-child(odd) {
    background-image: url(../../img/drum-item2.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.drumWrapper .drum .element .drumText b {
    font-size: 30px;
}

.drumWrapper .drum .element:nth-child(4) .drumText {
    padding-left: 10px;
}

.drumWrapper .drum .element:nth-child(7) .drumText {
    padding-left: 16px;
    padding-bottom: 20px;
}

.drumWrapper .drum .element:nth-child(odd) .drumText {
    position: relative;
    display: flex;
    flex-direction: column;
    transform: rotate(-70deg) translatex(-142px);
}

.drumWrapper .drum .element:nth-child(odd) .drumText b,
.drumWrapper .drum .element:nth-child(odd) .drumText span {
    color: #fff;
}

.drumWrapper.active .drum .element.active .drumText b,
.drumWrapper.active .drum .element.active .drumText span {
    color: #fff;
}

.drumWrapper .drum .element:nth-child(even) .drumText {
    position: relative;
    display: flex;
    flex-direction: column;
    transform: rotate(-110deg) translatex(-142px);
}

.drumWrapper .drum .element:nth-child(even) {
    background-image: url(../../img/drum-item1.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.drumWrapper .drum .element:nth-child(odd).active {
    background-image: url(../../img/drum-white-odd.webp);
    background-size: auto;
    color: #343753;
}

.drumWrapper .drum .element:nth-child(even).active {
    background-image: url(../../img/drum-white-even.webp);
    background-size: auto;
    color: #343753;
}

.drumWrapper .drum .element1 {
    top: 0;
    left: 375px;
    transform: rotate(0deg);
}

.drumWrapper .drum .element2 {
    top: 90px;
    right: 17px;
    transform: rotate(90deg);
}

.drumWrapper .drum .element3 {
    top: 359px;
    right: 16px;
    transform: rotate(90deg);
}

.drumWrapper .drum .element4 {
    bottom: 0;
    right: 107px;
    transform: rotate(180deg);
}

.drumWrapper .drum .element5 {
    bottom: 0;
    left: 108px;
    transform: rotate(180deg);
}

.drumWrapper .drum .element6 {
    bottom: 91px;
    left: 18px;
    transform: rotate(270deg);
}

.drumWrapper .drum .element7 {
    top: 92px;
    left: 16px;
    transform: rotate(-90deg);
}

.drumWrapper .drum .element8 {
    top: 1px;
    left: 107px;
}

@-webkit-keyframes rounding{
    0%{
        -webkit-transform: rotate(0deg);
                transform: rotate(0deg);
    }

    100%{
        -webkit-transform: rotate(-360deg);
                transform: rotate(-360deg);
    }
}

@keyframes rounding{
    0%{
        -webkit-transform: rotate(0deg);
                transform: rotate(0deg);
    }

    100%{
        -webkit-transform: rotate(-360deg);
                transform: rotate(-360deg);
    }
}

@-webkit-keyframes roundingFast{
    0%{
        -webkit-transform: rotate(0deg);
                transform: rotate(0deg);
    }

    100%{
        -webkit-transform: rotate(360deg);
                transform: rotate(360deg);
    }
}

@keyframes roundingFast{
    0%{
        -webkit-transform: rotate(0deg);
                transform: rotate(0deg);
    }

    100%{
        -webkit-transform: rotate(360deg);
                transform: rotate(360deg);
    }
}

.drumWrapper .drum {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.drumWrapper .drum.rounding {
    -webkit-animation: rounding 30s linear infinite;
            animation: rounding 30s linear infinite;
}

.drumWrapper .drum.roundingFast {
    -webkit-animation: roundingFast 0.5s linear infinite;
            animation: roundingFast 0.5s linear infinite;
}

.drumWrapper .triangle,
.drumWrapper .triangle_active {
    position: absolute;
    right: -12px;
    top: 50%;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 107px;
    z-index: 3;
}

.drumWrapper .triangle_active {
    display: none;
}

.drumWrapper.active .triangle_active {
    display: block;
}

.drumWrapper.active .triangle {
    display: none;
}

.prizePopup .confirm {
    display: flex;
    align-items: center;
    column-gap: 8px;
}

.prizePopup .confirm p {
    text-align: left;
    font-size: 16px;
    line-height: 1.2;
    color: #3A3D41;
    margin: 0;
}

.prizePopup .confirm p a {
    color: #5542D6;
}

.checkBox input {
    display: none;
}

.checkBox .fake {
    position: relative;
    display: inline-block;
    width: 21px;
    min-width: 21px;
    height: 21px;
    border: 1px solid #ACACB1;
    border-radius: 5px;
}

.checkBox.black .fake::before {
    display: none;
}

.checkBox .fake i {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    display: none;
}

.checkBox .fake i::before {
    content: '';
    position: absolute;
    bottom: 5px;
    left: 0px;
    width: 9px;
    height: 2px;
    -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
            transform: rotate(45deg);
    background-color: #5542D6;
    -webkit-transform-origin: bottom;
        -ms-transform-origin: bottom;
            transform-origin: bottom;
}

.checkBox .fake i::after {
    content: '';
    position: absolute;
    bottom: 8px;
    left: 5px;
    width: 16px;
    height: 2px;
    -webkit-transform: rotate(-52deg);
        -ms-transform: rotate(-52deg);
            transform: rotate(-52deg);
    background-color: #5542D6;
    -webkit-transform-origin: bottom;
        -ms-transform-origin: bottom;
            transform-origin: bottom;
}

.checkBox input:checked+.fake i {
    display: block;
}

.checkBox input:checked+.fake {
    border: 1px solid #5542D6;
}

footer .checkBox input:checked+.fake {
    border: 1px solid #ACACB1;
}

footer .checkBox .fake i::before,
footer .checkBox .fake i::after {
    background-color: #ACACB1;
}


































@media (max-width: 1520px) {

    .drumWrapper .triangle {
        width: 10vw;
    }
    
}

@media (max-width: 1300px) {
    
    .prizeTitle {
        font-size: 26px;
    }

    .prizePopup .congratulatons,
    .prizePopup .content {
        right: 30px;
    }
    

}

@media (max-width: 1100px) {

    .prizePopup .content {
        width: 460px;
    }

    .prizePopup .content .inner {
        max-width: 420px;
    }

}

@media (max-width: 992px) {

    .drumWrapper.active .triangle_active {
        display: none;
    }

    .drumWrapper.active .triangle {
        display: block;
    }

    .prizePopupWrap {
        max-height: unset;
        padding: 0;
    }

    .prizePopup {
        flex-direction: column;
        align-items: center;
        row-gap: 50px;
        height: fit-content;
        background-color: transparent;
        border-radius: 0;
        padding: 30px;
    }

    .prizePopup .congratulatons,
    .prizePopup .content {
        position: static;
        transform: unset;
    }

    .drumWrapper {
        transform: scale(0.7) rotate(90deg);
        margin: -135px 0 -70px;
    }

    .prizePopup .content {
        width: 560px;
    }

    .prizePopup .content .inner {
        max-width: 494px;
    }

    .drumWrapper .triangle {
        right: -26px;
        width: 110px;
    }

}

@media (max-width: 768px) {

    .prizePopup .congratulatons {
        width: 100%;
    }

    .prizePopup .congratulatonsTitle {
        width: 100%;
        font-size: 21px;
        padding: 22px 10px 23px;
    }

    .prizePopup .winned_prize {
        font-size: 17px;
    }

    .prizePopup .congratulatonsSubtitle,
    .prizePopup .winned_prize b {
        font-size: 21px;
    }

    .drumWrapper {
        transform: scale(0.58) rotate(90deg);
        margin: -175px 0 -160px;
    }

    .prizePopup .content {
        width: auto;
        max-width: 440px;
    }

    .prizePopup input {
        font-size: 16px;
        padding: 15px 20px;
        margin-bottom: 15px;
    }

    .prizePopup .form_text {
        font-size: 14px;
        margin-bottom: 25px;
    }

    .prizePopup button {
        max-width: 140px;
        min-height: 39px;
        width: 100%;
        font-size: 16px;
        padding: 9px 20px 9px;
    }

    .prizePopup .content .inner {
        max-width: unset;
        min-width: unset;
        margin: 20px auto 24px;
    }

    .prizeTitle {
        font-size: 21px;
        padding: 20px;
    }

    .prizeSubtitle {
        font-size: 17px;
        margin: 0px auto 20px;
    }

}

@media (max-width: 530px) {

    .drumWrapper {
        transform: scale(0.4) rotate(90deg);
        margin: -265px 0 -255px;
    }

    .prizePopup .congratulatonsTitle {
        border-radius: 0;
    }

    .prizePopup .congratulatons img {
        width: 100%;
    }

    .drumWrapper {
        margin: -235px 0 -255px;
    }

    .prizePopup {
        padding: 0;
    }

    .prizePopup .content {
        max-width: 100%;
        border-radius: 0;
    }

    .prizePopup .content .inner {
        padding: 0 20px;
    }

    .prizePopup .confirm p {
        font-size: 14px;
    }

}


@media (max-width: 360px) {

    .drumWrapper {
        transform: scale(0.33) rotate(90deg);
        margin: -260px 0 -280px;
    }

}